### Virtual Method

# Ide WorkbenchAddin can_open

#### Declaration

    gboolean
    can_open (
      IdeWorkbenchAddin* self,
      GFile* file,
      const gchar* content_type,
      gint* priority
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`content_type` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`priority` | `gint*`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.